# $Revision: 1.21 $, $Date: 2008/07/27 22:34:46 $
#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	Random
Summary:	File::Random - Perl module for random selecting of a file
Summary(pl.UTF-8):	File::Random - moduł Perla do losowego wyboru pliku
Name:		perl-File-Random
Version:	0.17
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4138133bf7fb0a2b4400073a3f1cea1d
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Set-Scalar
BuildRequires:	perl-Test-Class
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-ManyParams
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Test-Warn >= 0:0.08-2
BuildRequires:	perl-Want
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module simplifies the routine job of selecting a random file.
(As you can find at CGI scripts).

The simple standard job of selecting a random line from a file is
implemented, too.

%description -l pl.UTF-8
Ten moduł upraszcza rutynowe zadanie wyboru losowego pliku (które
można znaleźć w skryptach CGI). Ma zaimplementowane także inne proste,
standardowe zadanie - wyboru losowej linii z pliku.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Random.spec,v $
Revision 1.21  2008/07/27 22:34:46  arekm
- release 7

Revision 1.20  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.18  2006/08/24 13:14:56  radek
- release 6: BR: perl-Test-Warn >= 0:0.08-2

Revision 1.17  2004/11/03 22:30:21  paladine
- formatting

Revision 1.16  2004/06/01 07:01:56  ankry
- BR fix, rel. 5

Revision 1.15  2004/05/07 01:12:26  ankry
- rel. 4

Revision 1.14  2004/05/06 18:09:35  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/20 23:07:07  ankry
- new bcond fixes

Revision 1.12  2004/04/20 13:32:17  ankry
- license fixes / unification

Revision 1.11  2004/04/13 18:50:06  adamg
- new style bconds

Revision 1.10  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:09:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:39:22  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:32:22  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/31 12:21:47  qboosh
- pl description, release 2

Revision 1.1  2002/08/29 12:32:59  radek
- new, STBR
